<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
   id="razgriz.news.ui"
   name="Razgriz News UI Plug-in"
   version="0.0.6"
   provider-name="KAMO Masahiko"
   class="razgriz.news.ui.NewsUIPlugin">

   <runtime>
      <library name="news.ui.jar">
         <export name="*"/>
      </library>
   </runtime>

   <requires>
      <import plugin="razgriz.common"/>
      <import plugin="razgriz.news"/>
      <import plugin="razgriz.news.model"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.core.runtime"/>
      <import plugin="razgriz.news.model.opml"/>
   </requires>

   <extension
         point="org.eclipse.ui.perspectives">
      <perspective
            name="Razgriz News"
            icon="icons/razgriz.png"
            class="razgriz.news.ui.perspectives.NewsPerspective"
            id="razgriz.news.ui.perspectives.NewsPerspective">
      </perspective>
   </extension>
   <extension
         point="org.eclipse.ui.preferencePages">
      <page
            name="プロキシ"
            class="razgriz.news.ui.preferences.ProxyPreferencePage"
            id="razgriz.news.ui.preferences.ProxyPreferencePage">
      </page>
   </extension>
   <extension
         point="org.eclipse.ui.views">
      <category
            name="Razgriz News"
            id="razgriz.news.ui.views">
      </category>
      <view
            name="お気に入り"
            icon="icons/favlist.gif"
            category="razgriz.news.ui.views"
            class="razgriz.news.ui.views.FavoriteListView"
            id="razgriz.news.ui.views.FavoriteListView">
      </view>
      <view
            name="記事一覧"
            allowMultiple="true"
            icon="icons/file.gif"
            category="razgriz.news.ui.views"
            class="razgriz.news.ui.views.ArticleListView"
            id="razgriz.news.ui.views.ArticleListView">
      </view>
   </extension>
   <extension
         point="org.eclipse.ui.editors">
      <editor
            name="..."
            icon="icons/editor.gif"
            contributorClass="razgriz.news.ui.browser.NewsEditorContributor"
            class="razgriz.news.ui.browser.NewsEditor"
            id="razgriz.news.ui.browser.NewsEditor">
      </editor>
      <editor
            name="..."
            icon="icons/editor.gif"
            contributorClass="razgriz.news.ui.browser.NewsBrowserContributor"
            class="razgriz.news.ui.browser.NewsBrowser"
            id="razgriz.news.ui.browser.NewsBrowser">
      </editor>
   </extension>
   <extension
         point="org.eclipse.ui.actionSets">
      <actionSet
            label="ツール(&amp;T)"
            visible="true"
            id="razgriz.travel.actionSet">
         <action
               label="巡回(&amp;T)"
               icon="icons/travel.gif"
               tooltip="巡回します"
               class="razgriz.news.ui.actions.TravelAction"
               toolbarPath="toolGroup"
               id="razgriz.news.ui.actions.TravelAction">
         </action>
      </actionSet>
   </extension>

</plugin>
